Class Specialization
Backtracking
Provides approximate string matching via backtracking on a substring index.

Finder | Pattern

Backtracking

Finder<TIndex, Backtracking<TDistance> >
Pattern<TNeedle, Backtracking<TDistance> >
Include Headers
seqan/index.h
Parameters

TIndex | An index of the sequence that should be searched. Types: Index
TNeedle | The type of the sequence(s) that should be searched for. Types: Index, String
TDistance | Specifies the distance filter. Types: HammingDistance

Remarks
The Pattern can be a sequence, or an index for a set of sequences. The tolerated backtracking distance must be given when find is called.
Specialization of
Pattern, Finder
Metafunctions

Container | Type of the container given an iterator. (Finder)
Difference | Type of an object that stores the difference between two iterators. (Finder)
Haystack | Returns the haystack type of a Finder type. (Finder)
Host | Type of the object a given object depends on. (Pattern)
Iterator | Type of iterator objects that are used to traverse the container. (Finder)
Needle | Returns the needle type of a Pattern type. (Pattern)
Position | Type of an object that represents a position in a container. (Finder)
Reference | Reference type. (Finder)
ScoringScheme | Returns the scoring scheme of an approximate searching algorithm. (Pattern)
Value | Type of the items in the container or behind an iterator. (Finder)

Member Functions

Finder | Constructor (Finder)

Functions

begin | The begin of a container. (Finder)
beginPosition | Begin position of object in host. (Finder)
clear | Resets an object. (Finder)
end | The end of a container. (Finder)
endPosition | End position of object in host. (Finder)
find | Search for a Pattern in a Finder object. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
haystack | Returns the haystack of a Finder object. (Finder)
host | The object a given object depends on. (Pattern)
infix | Returns the segment of the last found match in haystack. (Finder)
length | The number of items/characters. (Finder)
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms). (Pattern)
position | Position of an iterator. (Pattern)
scoringScheme | The scoring scheme used for finding or aligning. (Pattern)
setHaystack | Sets the haystack of a Finder object. (Finder)
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing. (Pattern)
setPosition | Sets the position of a finder. (Finder)
setScoringScheme | Sets the scoring scheme used for finding or aligning. (Pattern)

Example Programs
Index Finder, Index Finder StringSet
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00